using APT.Infrastructure.EF.Map;
using ATP.BaseData.Domain.Entities.FM;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace ATP.BaseData.Data.Mapping.FM
{
	public class FMProcessPlatformParamMap : APTEntityBaseMap<T_FM_PROCESS_PLATFORM_PARAM>
	{
		public override void Configure(EntityTypeBuilder<T_FM_PROCESS_PLATFORM_PARAM> builder)
		{
			base.Configure(builder);
			builder.Property(t => t.HOT_RUNNER_MOUTH_1).HasMaxLength(60);

			builder.Property(t => t.HOT_RUNNER_MOUTH_2).HasMaxLength(60);
			builder.Property(t => t.HOT_RUNNER_MOUTH_3).HasMaxLength(60);
			builder.Property(t => t.HOT_RUNNER_MOUTH_4).HasMaxLength(60);
			builder.Property(t => t.HOT_RUNNER_MOUTH_5).HasMaxLength(60);
			builder.Property(t => t.HOT_RUNNER_MOUTH_6).HasMaxLength(60);
			builder.Property(t => t.HOT_RUNNER_MOUTH_7).HasMaxLength(60);
			builder.Property(t => t.HOT_RUNNER_MOUTH_8).HasMaxLength(60);
			builder.Property(t => t.HOT_RUNNER_MOUTH_9).HasMaxLength(60);

			builder.Property(t => t.HOT_RUNNER_MOUTH_10).HasMaxLength(60);
			builder.Property(t => t.HOT_RUNNER_MOUTH_11).HasMaxLength(60);

			builder.Property(t => t.HOT_RUNNER_MOUTH_12).HasMaxLength(60);
			builder.Property(t => t.HOT_RUNNER_MOUTH_13).HasMaxLength(60);
			builder.Property(t => t.HOT_RUNNER_MOUTH_14).HasMaxLength(60);
			builder.Property(t => t.HOT_RUNNER_MOUTH_15).HasMaxLength(60);

			builder.Property(t => t.HOT_RUNNER_MOUTH_16).HasMaxLength(60);
			builder.Property(t => t.BEFORE_MOULD_PLAN).HasMaxLength(60);

			builder.Property(t => t.BEFORE_MOULD_REAL).HasMaxLength(60);
			builder.Property(t => t.AFTER_MOULD_PLAN).HasMaxLength(60);

			builder.Property(t => t.AFTER_MOULD_REAL).HasMaxLength(60);
			builder.Property(t => t.LOCK_MOULD_ONE_SPEED).HasMaxLength(60);

			builder.Property(t => t.LOCK_MOULD_TWO_SPEED).HasMaxLength(60);
			builder.Property(t => t.LOCK_MOULD_LOWER_SPEED).HasMaxLength(60);

			builder.Property(t => t.LOCK_MOULD_UPPER_SPEED).HasMaxLength(60);
			builder.Property(t => t.LOCK_MOULD_ONE_PRESSURE).HasMaxLength(60);

			builder.Property(t => t.LOCK_MOULD_TWO_PRESSURE).HasMaxLength(60);
			builder.Property(t => t.LOCK_MOULD_LOWER_PRESSURE).HasMaxLength(60);

			builder.Property(t => t.LOCK_MOULD_UPPER_PRESSURE).HasMaxLength(60);
			builder.Property(t => t.LOCK_MOULD_ONE_LOCATION).HasMaxLength(60);

			builder.Property(t => t.LOCK_MOULD_TWO_LOCATION).HasMaxLength(60);
			builder.Property(t => t.LOCK_MOULD_LOWER_LOCATION).HasMaxLength(60);

			builder.Property(t => t.LOCK_MOULD_UPPER_LOCATION).HasMaxLength(60);
			builder.Property(t => t.THIMBLE_FONT_ONE_SPEED).HasMaxLength(60);
			builder.Property(t => t.THIMBLE_FONT_TWO_SPEED).HasMaxLength(60);
			builder.Property(t => t.THIMBLE_FONT_STOP_SPEED).HasMaxLength(60);

			builder.Property(t => t.THIMBLE_BACK_ONE_SPEED).HasMaxLength(60);
			builder.Property(t => t.THIMBLE_BACK_TWO_SPEED).HasMaxLength(60);

			builder.Property(t => t.THIMBLE_BACK_STOP_SPEED).HasMaxLength(60);
			builder.Property(t => t.THIMBLE_FONT_ONE_PRESSURE).HasMaxLength(60);

			builder.Property(t => t.THIMBLE_FONT_TWO_PRESSURE).HasMaxLength(60);
			builder.Property(t => t.THIMBLE_FONT_STOP_PRESSURE).HasMaxLength(60);

			builder.Property(t => t.THIMBLE_BACK_ONE_PRESSURE).HasMaxLength(60);
			builder.Property(t => t.THIMBLE_BACK_TWO_PRESSURE).HasMaxLength(60);
			builder.Property(t => t.THIMBLE_BACK_STOP_PRESSURE).HasMaxLength(60);
			builder.Property(t => t.THIMBLE_FONT_ONE_LOCATION).HasMaxLength(60);

			builder.Property(t => t.THIMBLE_FONT_TWO_LOCATION).HasMaxLength(60);
			builder.Property(t => t.THIMBLE_FONT_STOP_LOCATION).HasMaxLength(60);

			builder.Property(t => t.THIMBLE_BACK_ONE_LOCATION).HasMaxLength(60);
			builder.Property(t => t.THIMBLE_BACK_TWO_LOCATION).HasMaxLength(60);

			builder.Property(t => t.THIMBLE_BACK_STOP_LOCATION).HasMaxLength(60);
			builder.Property(t => t.THIMBLE_SEMI_AUTO_COUNT).HasMaxLength(60);
			builder.Property(t => t.THIMBLE_MANIPULATOR).HasMaxLength(60);
			builder.Property(t => t.MELT_GLUE_ONE_SPEED).HasMaxLength(60);
			builder.Property(t => t.MELT_GLUE_TWO_SPEED).HasMaxLength(60);
			builder.Property(t => t.MELT_GLUE_THREE_SPEED).HasMaxLength(60);
			builder.Property(t => t.MELT_GLUE_FOUR_SPEED).HasMaxLength(60);
			builder.Property(t => t.MELT_GLUE_ONE_PRESSURE).HasMaxLength(60);
			builder.Property(t => t.MELT_GLUE_TWO_PRESSURE).HasMaxLength(60);

			builder.Property(t => t.MELT_GLUE_THREE_PRESSURE).HasMaxLength(60);
			builder.Property(t => t.MELT_GLUE_FOUR_PRESSURE).HasMaxLength(60);

			builder.Property(t => t.MELT_GLUE_ONE_BACK_PRESSURE).HasMaxLength(60);
			builder.Property(t => t.MELT_GLUE_TWO_BACK_PRESSURE).HasMaxLength(60);

			builder.Property(t => t.MELT_GLUE_THREE_BACK_PRESSURE).HasMaxLength(60);
			builder.Property(t => t.MELT_GLUE_FOUR_BACK_PRESSURE).HasMaxLength(60);

			builder.Property(t => t.MELT_GLUE_ONE_LOCATION).HasMaxLength(60);
			builder.Property(t => t.MELT_GLUE_TWO_LOCATION).HasMaxLength(60);

			builder.Property(t => t.MELT_GLUE_THREE_LOCATION).HasMaxLength(60);
			builder.Property(t => t.MELT_GLUE_FOUR_LOCATION).HasMaxLength(60);

			builder.Property(t => t.LOOSE_BACK_SPEED).HasMaxLength(60);
			builder.Property(t => t.LOOSE_BACK_PRESSURE).HasMaxLength(60);

			builder.Property(t => t.LOOSE_BACK_LOCATION).HasMaxLength(60);
			builder.Property(t => t.PRESS_KEEP_ONE_SPEED).HasMaxLength(60);

			builder.Property(t => t.PRESS_KEEP_TWO_SPEED).HasMaxLength(60);
			builder.Property(t => t.PRESS_KEEP_THREE_SPEED).HasMaxLength(60);

			builder.Property(t => t.PRESS_KEEP_ONE_PRESSURE).HasMaxLength(60);
			builder.Property(t => t.PRESS_KEEP_TWO_PRESSURE).HasMaxLength(60);

			builder.Property(t => t.PRESS_KEEP_THREE_PRESSURE).HasMaxLength(60);
			builder.Property(t => t.PRESS_KEEP_ONE_LOCATION).HasMaxLength(60);

			builder.Property(t => t.PRESS_KEEP_TWO_LOCATION).HasMaxLength(60);
			builder.Property(t => t.PRESS_KEEP_THREE_LOCATION).HasMaxLength(60);

			builder.Property(t => t.GLUE_INJECT_ONE_SPEED).HasMaxLength(60);
			builder.Property(t => t.GLUE_INJECT_TWO_SPEED).HasMaxLength(60);

			builder.Property(t => t.GLUE_INJECT_THREE_SPEED).HasMaxLength(60);
			builder.Property(t => t.GLUE_INJECT_FOUR_SPEED).HasMaxLength(60);

			builder.Property(t => t.GLUE_INJECT_FIVE_SPEED).HasMaxLength(60);
			builder.Property(t => t.GLUE_INJECT_ONE_PRESSURE).HasMaxLength(60);

			builder.Property(t => t.GLUE_INJECT_TWO_PRESSURE).HasMaxLength(60);
			builder.Property(t => t.GLUE_INJECT_THREE_PRESSURE).HasMaxLength(60);

			builder.Property(t => t.GLUE_INJECT_FOUR_PRESSURE).HasMaxLength(60);
			builder.Property(t => t.GLUE_INJECT_FIVE_PRESSURE).HasMaxLength(60);

			builder.Property(t => t.GLUE_INJECT_ONE_LOCATION).HasMaxLength(60);
			builder.Property(t => t.GLUE_INJECT_TWO_LOCATION).HasMaxLength(60);

			builder.Property(t => t.GLUE_INJECT_THREE_LOCATION).HasMaxLength(60);
			builder.Property(t => t.GLUE_INJECT_FOUR_LOCATION).HasMaxLength(60);
			builder.Property(t => t.GLUE_INJECT_FIVE_LOCATION).HasMaxLength(60);
			builder.Property(t => t.GLUE_INJECT_STOP_LOCATION).HasMaxLength(60);
			builder.Property(t => t.CHIP_FONT_TIME).HasMaxLength(60);
			builder.Property(t => t.CHIP_FONT_PRESS).HasMaxLength(60);

			builder.Property(t => t.CHIP_FONT_DISTANCE).HasMaxLength(60);
			builder.Property(t => t.CHIP_BACK_TIME).HasMaxLength(60);

			builder.Property(t => t.CHIP_BACK_PRESS).HasMaxLength(60);
			builder.Property(t => t.CHIP_BACK_DISTANCE).HasMaxLength(60);

			builder.Property(t => t.DEVICE_CHECK_INJECT_TIME).HasMaxLength(60);
			builder.Property(t => t.DEVICE_CHECK_PRESS_KEEP_LOCATION).HasMaxLength(60);

			builder.Property(t => t.MAKE_MOULD_ONE_SPEED).HasMaxLength(60);
			builder.Property(t => t.MAKE_MOULD_TWO_SPEED).HasMaxLength(60);
			builder.Property(t => t.MAKE_MOULD_THREE_SPEED).HasMaxLength(60);
			builder.Property(t => t.MAKE_MOULD_FOUR_SPEED).HasMaxLength(60);
			builder.Property(t => t.MAKE_MOULD_ONE_PRESSURE).HasMaxLength(60);
			builder.Property(t => t.MAKE_MOULD_TWO_PRESSURE).HasMaxLength(60);
			builder.Property(t => t.MAKE_MOULD_THREE_PRESSURE).HasMaxLength(60);
			builder.Property(t => t.MAKE_MOULD_FOUR_PRESSURE).HasMaxLength(60);
			builder.Property(t => t.MAKE_MOULD_ONE_LOCATION).HasMaxLength(60);
			builder.Property(t => t.MAKE_MOULD_TWO_LOCATION).HasMaxLength(60);
			builder.Property(t => t.MAKE_MOULD_THREE_LOCATION).HasMaxLength(60);
			builder.Property(t => t.MAKE_MOULD_FOUR_LOCATION).HasMaxLength(60);
		} 
	}
}
